Package com.verisign.epp.serverstub.unhandlednamespaces.v1_0

## Class UnhandledNamespacesDomainHandler

- java.lang.Object
- - com.verisign.epp.framework.EPPDomainHandler
  - - com.verisign.epp.serverstub.DomainHandler
    - - com.verisign.epp.serverstub.unhandlednamespaces.v1_0.UnhandledNamespacesDomainHandler

- All Implemented Interfaces:
    `EPPEventHandler`

      public class UnhandledNamespacesDomainHandler
      extends DomainHandler

  The `UnhandledNamespacesDomainHandler` class is a concrete implementation of the abstract `UnhandledNamespacesDomainHandler` class. It defines the Server's behavior with implementing the Unhandled Namespaces `RFC 9038`.
  See Also:
    `EPPEvent`, `EPPEventResponse`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UnhandledNamespacesDomainHandler()` | Constructs an instance of UnhandledNamespacesDomainHandler

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `EPPEventResponse` | `doDomainCreate​(EPPEvent aEvent, java.lang.Object aData)` | Invoked when a Domain Create command is received.
    `EPPEventResponse` | `doDomainInfo​(EPPEvent aEvent, java.lang.Object aData)` | Invoked when a Domain Info command is received.

    - ### Methods inherited from class com.verisign.epp.serverstub.DomainHandler

      `doDomainCheck, doDomainDelete, doDomainRenew, doDomainTransfer, doDomainUpdate, postHandleEvent, preHandleEvent`

    - ### Methods inherited from class com.verisign.epp.framework.EPPDomainHandler

      `getNamespace, handleEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UnhandledNamespacesDomainHandler

          public UnhandledNamespacesDomainHandler()

      Constructs an instance of UnhandledNamespacesDomainHandler

  - ### Method Detail

    - #### doDomainCreate

          public EPPEventResponse doDomainCreate​(EPPEvent aEvent,
                                                 java.lang.Object aData)

      Invoked when a Domain Create command is received. This overridden method will call the `DomainHandler`, but will add the two poll messages if the domain is "un-poll-messages.com". The poll messages are based on the examples in draft-ietf-regext-unhandled-namespaces, which include:
      1. Domain transfer auto approve poll message that can be filtered based on support for the domain mapping.
      2. Domain change poll that can be filtered based on support for the domain mapping and/or the change poll extension.
      It is up to the client to consume the poll messages with a different set of login services to exercise the filtering of the poll messages.
      Overrides:
        `doDomainCreate` in class `DomainHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPDomaindHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

    - #### doDomainInfo

          public EPPEventResponse doDomainInfo​(EPPEvent aEvent,
                                               java.lang.Object aData)

      Invoked when a Domain Info command is received. This overridden method will return the domain info response from draft-ietf-regext-unhandled-namespaces with filtering of the DNSSEC extension in the response if not supported based on the login extension services for two domain names "un-no-dnssec.com" and "un-no-rgp.com". The two domain names will drive the inclusion of the desired extension that will get filtered if the login services don't include support for the refernce extension (dnssec or rgp).
      Overrides:
        `doDomainInfo` in class `DomainHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPDomaindHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.